API to create a new payment config for given account

http
POST https://services.leadconnectorhq.com/payments/custom-provider/connect

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesLk3nlfk4lxlelVEwcWAccount id

Body

NameTypeRequiredExampleDescription
liveobjectYesLive config containing api-key and publishable key for live payments
testobjectYesTest config containing api-key and publishable-key for test payments

Responses

200 - Successful response
  • name (string, required): The name of the custom provider Example: Company Paypal Integration

  • description (string, required): Description of payment gateway. Shown on the payments integrations page as subtext Example: This payment gateway supports payments in India via UPI, Net banking, cards and wallets.

  • paymentsUrl (string, required): This url will be loaded in iFrame to start a payment session. Example: https://testpayment.paypal.com

  • queryUrl (string, required): The url used for querying payments related events. Ex. verify, refund, subscription etc. Example: https://testsubscription.paypal.com

  • imageUrl (string, required): Public image url for logo of the payment gateway displayed on the payments integrations page. Example: https://testsubscription.paypal.com

  • _id (string, required): The unique identifier for the custom provider. Example: 662a44ad19a2a44d3cd9d749

  • locationId (string, required): Account id Example: Lk3nlfk4lxlelVEwcW

  • marketplaceAppId (string, required): The application id of marketplace Example: 65f0b217a05c774da7f1efa5

  • paymentProvider (object): Payment provider details. Example: { live: { liveMode: true }, test: { liveMode: false, apiKey: "y5ZQxryRFXZHvUJZdLXXXXXX", publishableKey: "rzp_test_zPRoVMLOa0A9wo" }}

  • deleted (boolean, required): Whether the config is deleted or not. true represents config is deleted Example: True

  • createdAt (string, required): The creation timestamp of the custom provider. Example: 2023-11-20T10:23:36.515Z

  • updatedAt (string, required): The last update timestamp of the custom provider. Example: 2024-01-23T09:57:04.846Z

  • traceId (string): Trace id of the custom provider. Example: 302d2cf4-1ba0-4bf5-bc3b-f8fa76fda58a

json
{
  "name": "Company Paypal Integration",
  "description": "This payment gateway supports payments in India via UPI, Net banking, cards and wallets.",
  "paymentsUrl": "https://testpayment.paypal.com",
  "queryUrl": "https://testsubscription.paypal.com",
  "imageUrl": "https://testsubscription.paypal.com",
  "_id": "662a44ad19a2a44d3cd9d749",
  "locationId": "Lk3nlfk4lxlelVEwcW",
  "marketplaceAppId": "65f0b217a05c774da7f1efa5",
  "paymentProvider": "{ live: { liveMode: true }, test: { liveMode: false, apiKey: \"y5ZQxryRFXZHvUJZdLXXXXXX\", publishableKey: \"rzp_test_zPRoVMLOa0A9wo\" }}",
  "deleted": true,
  "createdAt": "2023-11-20T10:23:36.515Z",
  "updatedAt": "2024-01-23T09:57:04.846Z",
  "traceId": "302d2cf4-1ba0-4bf5-bc3b-f8fa76fda58a"
}
400 - No such config exists for given locationId and marketplaceAppId
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/payments/custom-provider/connect' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{}'

Last updated October 26, 2026

Was this page helpful?